Bug 1784582 - Helm CLI download link is missing from Console
Summary: Helm CLI download link is missing from Console
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.4.0
Assignee: Predrag Knezevic
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks: 1785310
TreeView+ depends on / blocked
 
Reported: 2019-12-17 18:53 UTC by Siamak Sadeghianfar
Modified: 2020-05-04 11:20 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1785310 (view as bug list)
Environment:
Last Closed: 2020-05-04 11:20:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console-operator pull 362 None closed Bug 1784582: Added Helm CLI download links 2020-04-20 09:06:43 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:20:58 UTC

Description Siamak Sadeghianfar 2019-12-17 18:53:52 UTC
Helm is released as TP on OpenShift 4.3. The Helm CLI binary link is missing from the "? > Command Line Tools" page to inform users where they can download Red Hat builds of the binary.

Adding the link is addressed in this PR:
https://github.com/openshift/console-operator/pull/362

Comment 1 Stephen Cuppett 2019-12-17 19:48:36 UTC
Setting to active development branch for investigation (4.4). Clones will be created for prior releases where backports needed.

Comment 3 Yadan Pei 2020-01-06 07:03:45 UTC
Now there's Helm download link on Command Line Tools page

helm - Helm 3 CLI

Download helm

Click the link on `Download helm`, it goes to https://mirror.openshift.com/pub/openshift-v4/clients/helm/latest but we don't have helm there.


Checked against 4.4.0-0.nightly-2020-01-04-014624


'Download helm' should link to correct URL

Comment 4 Tom Buskey 2020-01-20 14:26:25 UTC
FWIW
Clicking the the Helm CLI link leads to:

https://mirror.openshift.com/pub/openshift-v4/clients/helm/latest

FAILS with "The requested URL /pub/openshift-v4/clients/helm/latest was not found on this server."



oc version
Client Version: openshift-clients-4.3.0-201910250623-88-g6a937dfe
Server Version: 4.3.0-0.nightly-2020-01-18-010201
Kubernetes Version: v1.16.2

Comment 5 bpeterse 2020-02-14 14:27:31 UTC
We have a link and there is now a payload that does not 404.  I believe helm is responsible for getting the payload in the correct place (not on mirror.openshift), but that is outside the scope of console.

Comment 6 shahan 2020-02-17 03:19:40 UTC
Clicking the the Helm CLI link leads to:

https://mirror.openshift.com/pub/openshift-v4/clients/helm/latest

There are following link to helm cli for different os
[PARENTDIR]	Parent Directory	 	-	 
[   ]	helm-darwin-amd64	2020-01-21 09:06	40M	 
[   ]	helm-linux-amd64	2020-01-21 09:06	36M	 
[   ]	helm-windows-amd64.exe	2020-01-21 09:06	36M	 

verified this bug
4.4.0-0.nightly-2020-02-16-205302

Comment 8 errata-xmlrpc 2020-05-04 11:20:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.